have_uncertainties = 1
compute_uncertainties_internally = 0
run_medfilter = 1
run_gaussnoise = 1
run_pointsourceprob = 1
run_detect = 1
run_fit_radius = 1
run_sourcestimate = 1
run_aperture = 1
run_select = 1
verbose = 1
delete_intermediate_files = 0

PRF_file_name = ch4prf_new.fits
OUTPUT_DIR = fif_ch4
INPUT_FILE_NAME = nofile
NICE = 1
use_psp_to_detect = 0

select_conditions = "SNR > 10 and deblend ! NO and deblend ! PO and deblend ! AO"
select_columns = "srcid,detid,RA,delta_RA,Dec,delta_Dec,delta_RAD,flux,delta_flux"

 &MEDFILTER
  Window_X = 19, 
  Window_Y = 19,
  N_Outliers_Per_Window = 100,
 &END

 &GAUSSNOISE
  N_Outliers_Per_Window = 100,
  Window_X = 19,
  Window_Y = 19,
 &END

 &SNESTIMATORIN
# following is in e-/DN,
# commented out as we are using the uncertainty images,
#   Gain = WWW,
#   Confusion_Sigma = VVV,
#   Read_Noise = UUU,
 &END

 &POINTSOURCEPROB
# the Resample Factors are the ratios of the image pixel size to the PRF sampling size,
# the same as for SOURCESTIMATE,
  PRF_ResampleX_Factor      = 4,
  PRF_ResampleY_Factor      = 4,
# the size of the input image to be matched by the PRF, in input image pixels,
  PRF_Xsize        = 3,
  PRF_Ysize        = 3,
 &END

 &PSP_GAUSSNOISE
# if set Input_Type to snr_input in DETECT below, set following to zero,
  N_Outliers_Per_Window = 5,
  Window_X = 19,
  Window_Y = 19,
 &END

 &FIT_RADIUS
 &END

 &DETECT
# the maximum number of pixels in a cluster to be declared a detection,
# for bigger clusters the program raises the detection threshold, ,
# and either splits the cluster into 2 or shrinks it down to the required size,
  Detection_Max_Area         = 9,
# the minimum number of pixels in a cluster to be declared a detection,
# smaller clusters are ignored,
  Detection_Min_Area         = 2,
  Detection_Threshold        = 6.0,
#  The options for Input_Type  are 'image_input' and  'snr_input',
  Input_Type  = 'image_input',
# the options for Threshold_Type are 'simple', 'combo' and 'peak',
  Threshold_Type = 'simple',
  Extended_Object_Area = 100,
  &END

 &SOURCESTIMATE
# 3 options, 'image_list' is the only option acceptable here,
  InputType = 'image_list',
# the size of the area in the input image to be fitted with PRF, in input image pixels,
  Fitting_Area_X = 3,
  Fitting_Area_Y = 3,
# maximum number of point sources to use in an attempt to deblend a detection,
  Max_Number_PS = 2,
# the maximum acceptable value of chi^2/degree_of_freedom,
  Chi_Threshold = 3.,
# positive number excludes point sources in the edge around the input image N_Edge pixels wide from fitting,
# negative number appends an edge around the input images N_Edge pixles wide to include the point sources into fitting,
# default 0,
  N_Edge = 4,
# the Resample Factors are the ratios of the image pixel size to the PRF sampling size,
  PRF_ResampleX_Factor      = 4,
  PRF_ResampleY_Factor      = 4,
#the number of fitting iterations to perform after Chi_Threshold has been reached, default = 0,
  Max_N_Success_Iteration = 1000,
#the relative change in chi2/dof to achieve after Chi_Threshold has been reached, default = 0.001,
  MinimizeFtolSuccess = 0.0001,
# turnoff background fitting,
  Background_Fit = 0,
 &END

&APERTURE
  N_Apertures = 3,
  Aperture_Radius_1 = 2.0,
  Aperture_Radius_2 = 4.0,
  Aperture_Radius_3 = 6.0,
&END
